<template>
    <v-app>
        <v-app-bar app color="primary" class="d-flex align-center justify-space-around">
            <div class="d-flex justify-start mr-9">
                <v-img
                    alt="Vuetify Logo"
                    class="shrink mr-2"
                    contain
                    src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
                    transition="scale-transition"
                    width="40"
                />

                <v-img
                    alt="Vuetify Name"
                    class="shrink mt-1 hidden-sm-and-down"
                    contain
                    min-width="100"
                    src="https://cdn.vuetifyjs.com/images/logos/vuetify-name-dark.png"
                    width="100"
                />
            </div>
            <v-spacer></v-spacer>
            <ToolBar />
        </v-app-bar>

        <v-main>
            <router-view />
        </v-main>
    </v-app>
</template>

<script>
    import ToolBar from './components/ToolBar.vue';

    export default {
        name: 'App',

        data: () => ({
            //
        }),
        components: {
            ToolBar,
        },
    };
</script>
